Entity Frameworkコアエラーでのコードの最初の移行

c# entity-framework-core

質問

私は.NETの学生です。だから私と一緒に忍耐してください。この質問をここに追加する以外に、私は問題を解決するためにウェブを探しています。理解していただきありがとうございます。

私はEntity Framework Coreを使用してコードファーストプロジェクトを移行しようとしています。そのため、すべてのコマンドとプロシージャを身に付けることができます。

私が得ている問題は、移行しようとするときです。私はラインを書いています

add-migration Initial-Migration -context BlogContext

パッケージマネージャコンソールで設定します。私が得ているエラーはこれです:

エラーメッセージ

これらは私の依存関係です:

{
  "dependencies": {
    "BundlerMinifier.Core": "2.2.306",
    "EntityFramework.Core": "7.0.0-rc1-final",
    "Microsoft.ApplicationInsights.AspNetCore": "1.0.2",
    "Microsoft.AspNetCore.Diagnostics": "1.1.0",
    "Microsoft.AspNetCore.Mvc": "1.1.0",
    "Microsoft.AspNetCore.Razor.Tools": "1.1.0-preview4-final",
    "Microsoft.AspNetCore.Routing": "1.1.0",
    "Microsoft.AspNetCore.Server.IISIntegration": "1.1.0",
    "Microsoft.AspNetCore.Server.IISIntegration.Tools": "1.1.0-preview4-final",
    "Microsoft.AspNetCore.Server.Kestrel": "1.1.0",
    "Microsoft.AspNetCore.StaticFiles": "1.1.0",
    "Microsoft.EntityFrameworkCore": "1.1.0",
    "Microsoft.EntityFrameworkCore.Design": "1.1.0",
    "Microsoft.EntityFrameworkCore.SqlServer": "1.1.0",
    "Microsoft.EntityFrameworkCore.Tools": "1.1.0-preview4-final",
    "Microsoft.Extensions.Configuration.EnvironmentVariables": "1.1.0",
    "Microsoft.Extensions.Configuration.Json": "1.1.0",
    "Microsoft.Extensions.Logging": "1.1.0",
    "Microsoft.Extensions.Logging.Console": "1.1.0",
    "Microsoft.Extensions.Logging.Debug": "1.1.0",
    "Microsoft.Extensions.Options.ConfigurationExtensions": "1.1.0",
    "Microsoft.NETCore.App": {
      "version": "1.1.0",
      "type": "platform"
    },
    "Microsoft.VisualStudio.Web.BrowserLink.Loader": "14.1.0"
  },

  "tools": {
    "Microsoft.EntityFrameworkCore.Tools.DotNet": "1.1.0-preview4-final",
    "Microsoft.AspNetCore.Server.IISIntegration.Tools": "1.1.0-preview4-final",
    "Microsoft.AspNetCore.Razor.Tools": "1.1.0-preview4-final"
  },

もっと見たいものがあれば教えてください。私が得るすべての助けに感謝しています。

編集:

私のBlogContext: BlogContext

VSパッケージマネージャコンソールからの新しいエラー:

ここに画像の説明を入力

受け入れられた回答

  1. "EntityFramework.Core": "7.0.0-rc1-final",削除"EntityFramework.Core": "7.0.0-rc1-final",依存関係(リスティングの3行目) - Microsoft.EntityFrameworkCoreの古いバージョンです。古い/望ましくないライブラリをアプリに追加することがあります

  2. コマンドラインから( src/Bloggフォルダから) dotnet restoreを実行してパッケージリストをリフレッシュしてください(VSはそれを自動的に実行するはずですが、確認する必要があります)。

  3. binおよびobjフォルダを手動で削除する

  4. dotnet ef migrations add BlogContext実行dotnet ef migrations add BlogContext 、コマンドラインからdotnet ef migrations add BlogContextdotnet ef migrations add BlogContextれます( src/Bloggフォルダから)



Related

ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ
ライセンスを受けた: CC-BY-SA with attribution
所属していない Stack Overflow
このKBは合法ですか? はい、理由を学ぶ